# Generated by Django 2.2.5 on 2019-10-19 00:37

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Input',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('autor', models.CharField(max_length=20)),
                ('titulo', models.CharField(max_length=20)),
                ('campo', models.CharField(choices=[('CC', 'Ciencias Computacionales'), ('CT', 'Cientias de la Tierra'), ('CN', 'Ciencias Naturales'), ('CS', 'Ciencias Sociales'), ('C', 'Ciencias Medicas')], max_length=2)),
                ('documento', models.FileField(upload_to='')),
                ('slug', models.SlugField()),
                ('usuario', models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
